__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/bash

#
# Copyright (c) 2015-2018, 2021 Samuel Thibault <[email protected]>
# 
# Licensed under Apache License v2.0.  See the file "LICENSE" for more
# information.
# 

# Make sure we have enough options
if [ $# != 5 -a $# != 6 ]; then
  echo "ERROR: $0 jobid user name nb options [filename]" >&2
  exit 1
fi

NB=$4
OPTIONS=$5
FILE=$6

case $0 in
  *indexv3*) . /usr/share/cups/braille/indexv3.sh ;;
  *indexv4*) . /usr/share/cups/braille/indexv4.sh ;;
  *) echo "ERROR: $0 must be called as somethingindexv3 or somethingindexv4" >&2
     exit 1
     ;;
esac

printf "$INIT"

if [ $LIBLOUIS1 != None -o \
     $LIBLOUIS2 != None -o \
     $LIBLOUIS3 != None -o \
     $LIBLOUIS4 != None ]
then
  # software-translated, send to printer in transparent mode
  echo "INFO: Writing text to Index embosser in transparent mode" >&2
  if [ -z "$FILE" ]
  then
    cat
  else
    cat "$FILE"
  fi | (
    IFS=$'\n' read -r LINE
    EOF=$?
    while [ "$EOF" = 0 -o -n "$LINE" ]
    do
      # Strip CRs
      LINE=${LINE//$'\015'}
      # Ignore SUBs
      LINE=${LINE//$'\032'}
      # Turn non-breakable spaces into spaces
      LINE=${LINE//$'\302'$'\240'/ }
      LINE=${LINE//$'\240'/ }

      # Interpret FFs
      while [ -n "$LINE" -a -z "${LINE/#$'\014'*}" ]
      do
        printf "\\f"
	LINE=${LINE#$'\014'}
      done

      # Make sure there is nothing else we don't process
      if [ -n "$LINE" ]
      then
	if [ -z "${LINE/*[$'\000'$'\001'-$'\037'$'\177']*}" ]
	then
	  echo "ERROR: unsupported control character in BRF file" >&2
	fi
	if [ -z "${LINE/*[$'\200'-$'\377']*}" ]
	then
	  echo "ERROR: unsupported non-ASCII character in BRF file" >&2
	fi
      fi

      CHARS=$(printf %s "$LINE" | wc -c)
      if [ "$CHARS" -gt 127 ]
      then
        # Index printers have a bug with numbers between 128 and 255 in
        # transparent mode escape sequence. This is normally not a problem since
        # 128 chars is more than a line worth of text
	echo "ERROR: Line too long ($CHARS)" >&2
	exit 1
      fi
      if [ "$CHARS" -gt 0 ]
      then
	# Enter transparent mode for $CHARS characters
	printf "\\033\\\\\\x$(printf %02x $CHARS)\\x00"
	# Echo those $CHARS characters.
	# First normalize BRF characters (`a-z{|}~ are non-standard).
	# Drop unicode patterns with dots 7 or 8 in case the liblouis table happened to erroneously emit one
	# Drop remaining erroneous multibyte characters
	# Drop remaining erroneous 1-byte characters
	# Then turn it into Index 6dots sequences.
	printf %s "$LINE" | \
	  tr "\`a-z{|}~" "@A-Z\\[\\\\]_" | \
	  sed -e 's/[⡀⡁⡂⡃⡄⡅⡆⡇⡈⡉⡊⡋⡌⡍⡎⡏⡐⡑⡒⡓⡔⡕⡖⡗⡘⡙⡚⡛⡜⡝⡞⡟⡠⡡⡢⡣⡤⡥⡦⡧⡨⡩⡪⡫⡬⡭⡮⡯⡰⡱⡲⡳⡴⡵⡶⡷⡸⡹⡺⡻⡼⡽⡾⡿⢀⢁⢂⢃⢄⢅⢆⢇⢈⢉⢊⢋⢌⢍⢎⢏⢐⢑⢒⢓⢔⢕⢖⢗⢘⢙⢚⢛⢜⢝⢞⢟⢠⢡⢢⢣⢤⢥⢦⢧⢨⢩⢪⢫⢬⢭⢮⢯⢰⢱⢲⢳⢴⢵⢶⢷⢸⢹⢺⢻⢼⢽⢾⢿⣀⣁⣂⣃⣄⣅⣆⣇⣈⣉⣊⣋⣌⣍⣎⣏⣐⣑⣒⣓⣔⣕⣖⣗⣘⣙⣚⣛⣜⣝⣞⣟⣠⣡⣢⣣⣤⣥⣦⣧⣨⣩⣪⣫⣬⣭⣮⣯⣰⣱⣲⣳⣴⣵⣶⣷⣸⣹⣺⣻⣼⣽⣾⣿]/ /g' | \
	  sed -e "s/[^] \!\"#$%&'()*+,.\\/0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ\\\\^_[-]/ /g" | \
	  tr "\000-\037\177\200-\377" " " | \
	  tr " \!\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ\\[\\\\\\]^_" "\\0V tSQW"$'\004'"gvAT@DP"$'\024'"d"$'\002\006'"\"bB&fF\$a\`Cw4q"$'\020\001\003\021'"1!"$'\023'"3#"$'\022'"2"$'\005\007\025'"5%"$'\027'"7'"$'\026'"6EGrUueRcs0p"
      fi
      if [ "$EOF" = 0 ]
      then
	printf "\\r\\n"
      fi
      IFS=$'\n' read -r LINE
      EOF=$?
    done
  )
  if [ $? != 0 ]
  then
    printf '\032'
    exit 1
  fi
else
  # not software-translated, send to printer as such
  echo "INFO: Writing text to Index embosser" >&2
  if [ -z "$FILE" ]
  then
    cat
  else
    cat "$FILE"
  fi
fi

printf '\032'

echo "INFO: Ready" >&2

Filemanager

Name Type Size Permission Actions
bannertopdf File 14.39 KB 0755
brftoembosser File 1 KB 0755
brftopagedbrf File 2.44 KB 0755
c2esp File 34.31 KB 0755
c2espC File 30.31 KB 0755
cgmtopdf File 1.54 KB 0755
cmxtopdf File 1.54 KB 0755
command2esp File 14.31 KB 0755
command2foo2lava-pjl File 22.39 KB 0755
commandtoescpx File 14.38 KB 0755
commandtopclx File 14.38 KB 0755
commandtops File 14.38 KB 0755
emftopdf File 1.54 KB 0755
foomatic-rip File 115.48 KB 0755
gstopdf File 14.38 KB 0755
gstopxl File 14.38 KB 0755
gstoraster File 14.38 KB 0755
gziptoany File 14.38 KB 0755
hpcdmfax File 30.66 KB 0755
hpcups File 397.9 KB 0755
hpcupsfax File 30.4 KB 0755
hpps File 46.8 KB 0755
imagetobrf File 2.71 KB 0755
imagetopdf File 14.39 KB 0755
imagetops File 14.38 KB 0755
imagetoraster File 14.39 KB 0755
imagetoubrl File 2.71 KB 0755
imageubrltoindexv3 File 5.47 KB 0755
imageubrltoindexv4 File 5.54 KB 0755
mupdftopwg File 14.38 KB 0755
musicxmltobrf File 893 B 0755
pclmtoraster File 14.39 KB 0755
pdftopdf File 14.39 KB 0755
pdftops File 14.39 KB 0755
pdftoraster File 14.39 KB 0755
pstops File 58.41 KB 0755
pstoqpdl File 22.4 KB 0755
pstotiff File 393 B 0755
pwgtopclm File 14.39 KB 0755
pwgtopdf File 14.39 KB 0755
pwgtoraster File 14.39 KB 0755
rastertobrlaser File 42.32 KB 0755
rastertoepson File 22.37 KB 0755
rastertoescpx File 38.38 KB 0755
rastertohp File 18.37 KB 0755
rastertolabel File 26.37 KB 0755
rastertopclx File 42.39 KB 0755
rastertops File 14.39 KB 0755
rastertoptch File 26.37 KB 0755
rastertopwg File 18.37 KB 0755
rastertoqpdl File 70.41 KB 0755
rastertosag-gdi File 15.59 KB 0755
svgtopdf File 1.54 KB 0755
textbrftoindexv3 File 3.85 KB 0755
textbrftoindexv4 File 3.85 KB 0755
texttobrf File 8.11 KB 0755
texttopdf File 14.39 KB 0755
texttops File 1.02 KB 0755
texttotext File 14.38 KB 0755
vectortobrf File 1.57 KB 0755
vectortopdf File 1.54 KB 0755
vectortoubrl File 1.57 KB 0755
wmftopdf File 1.54 KB 0755
xfigtopdf File 1.54 KB 0755
Filemanager